summaryrefslogtreecommitdiff
path: root/games/fortune-dune/fortune-dune.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/fortune-dune/fortune-dune.SlackBuild')
-rw-r--r--games/fortune-dune/fortune-dune.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/games/fortune-dune/fortune-dune.SlackBuild b/games/fortune-dune/fortune-dune.SlackBuild
new file mode 100644
index 0000000000..f59b0901d1
--- /dev/null
+++ b/games/fortune-dune/fortune-dune.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for fortune-dune
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=fortune-dune
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# I am *not* naming my package "fortune-mod-dune-quotes", fortune-dune
+# is descriptive enough.
+TARNAME=fortune-mod-dune-quotes
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAME.$VERSION
+tar xvf $CWD/$TARNAME.$VERSION.tar.gz
+cd $TARNAME.$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Don't trust the prebuilt index files
+rm *.dat
+
+# The fan base is divided on the "Prequels suck! No, prequels rule!" issue,
+# so accomodate both sides of the debate.
+if [ "${PREQUELS:-yes}" = "no" ]; then
+ rm -f house-*
+fi
+
+# Instead of separate per-book fortune files, let's just have one big one.
+# There just aren't enough quotes to justify splitting them up.
+# Also, fix a couple errors where the % delimiter is followed by an
+# extraneous space (causes adjacent fortunes to be concatenated)
+mkdir -p $PKG/usr/share/games/fortunes
+sed 's/^% */%/' * > $PKG/usr/share/games/fortunes/dune
+( cd $PKG/usr/share/games/fortunes && strfile dune )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat .message > $PKG/usr/doc/$PRGNAM-$VERSION/message
+cat .message.html > $PKG/usr/doc/$PRGNAM-$VERSION/message.html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}